Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
pdumodel::Outlet::ServiceModeChangedEvent Struct Reference

Event: Service mode has been changed. More...

`import <Outlet.idl;`

Inheritance diagram for pdumodel::Outlet::ServiceModeChangedEvent:

## Public Attributes
boolean | enabled
| Whether service mode is enabled after the change.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Service mode has been changed.

Definition at line 150 of file Outlet.idl.

## Member Data Documentation

## ◆ enabled

boolean pdumodel::Outlet::ServiceModeChangedEvent::enabled

Whether service mode is enabled after the change.

Definition at line 151 of file Outlet.idl.

The documentation for this struct was generated from the following file:

- Outlet.idl